"""Autogenerated API schema"""
from argus_api import session


list_customer_notes = {'tags': ['cases/v2/templates'], 'summary': 'List customer notes (PUBLIC)', 'description': '', 'operationId': 'listCustomerNotes', 'produces': ['application/json'], 'parameters': [{'name': 'customer', 'in': 'path', 'description': 'ID or shortname of customer to list notes for', 'required': True, 'type': 'str'}, {'name': 'offset', 'in': 'query', 'description': 'Skip a number of results', 'required': False, 'type': 'int', 'default': 0, 'minimum': 0}, {'name': 'limit', 'in': 'query', 'description': 'Maximum number of returned results', 'required': False, 'type': 'int', 'default': 25, 'minimum': 0}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'list', 'description': 'Contains an array of results', 'items': {'type': 'dict', 'properties': {'importance': {'type': 'str', 'position': 0, 'description': 'The importance of this note', 'enum': ['low', 'medium', 'high']}, 'text': {'type': 'str', 'position': 0, 'description': 'The plain text contents of this note.'}, 'expires': {'type': 'int', 'position': 0, 'description': 'The timestamp when this note expires. If no expiry is set, this returns 0'}}}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}