"""Autogenerated API schema"""
from argus_api import session


bind_category = {'tags': ['cases/v2/service'], 'summary': 'Bind category to service (PUBLIC)', 'description': '', 'operationId': 'bindCategory', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'name': 'serviceID', 'in': 'path', 'description': 'ID or shortname of service to bind category to', 'required': True, 'type': 'str'}, {'in': 'body', 'name': 'body', 'description': 'Update request', 'required': False, 'schema': {'type': 'object', 'required': ['caseTypes', 'category'], 'properties': {'category': {'type': 'str', 'position': 0, 'description': 'Shortname or ID of category to bind'}, 'caseTypes': {'type': 'list', 'position': 0, 'description': 'Case types to bind category for', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['securityIncident', 'operationalIncident', 'informational', 'change']}, 'maxItems': 2147483647, 'minItems': 1}}}}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'id': {'type': 'str'}, 'category': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Category name', 'readOnly': True}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Category shortname', 'readOnly': True}, 'localizedName': {'type': 'str', 'position': 0, 'description': 'Category name localized to current users language', 'readOnly': True}}}, 'service': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Service name', 'readOnly': True}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Service shortname', 'readOnly': True}, 'localizedName': {'type': 'str', 'position': 0, 'description': 'Service name localized to the current users language', 'readOnly': True}}}, 'caseTypes': {'type': 'list', 'position': 0, 'description': 'Case types the category is bound to this service for', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['securityIncident', 'operationalIncident', 'informational', 'change']}}}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}
create_service = {'tags': ['cases/v2/service'], 'summary': 'Define a new service (INTERNAL)', 'description': '', 'operationId': 'createService', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'in': 'body', 'name': 'body', 'description': 'Create request', 'required': False, 'schema': {'type': 'object', 'required': ['adminFunction', 'caseTypes', 'defineFunction', 'description', 'domain', 'iconURL', 'name', 'notificationEmail', 'readFunction', 'shortName', 'techFunction', 'writeFunction'], 'properties': {'domain': {'type': 'str', 'position': 0, 'description': 'Name or ID of domain to bind service to.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of service. This must be unique within a domain. => [a-zA-Z0-9_:\\-\\.]*'}, 'name': {'type': 'str', 'position': 0, 'description': 'Descriptive name of service. => [\\s\\w\\{\\}\\$\\-\\(\\)\\.\\[\\]"\\\'_/\\\\,\\*\\+\\#:@!?;=]*'}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'Localized names. If not set, locales will fallback to main name. => [\\s\\w\\{\\}\\$\\-\\(\\)\\.\\[\\]"\\\'_/\\\\,\\*\\+\\#:@!?;=]*', 'additionalProperties': {'type': 'string'}}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'Localized descriptions. If not set, locales will fallback to main description. => [\\s\\w\\{\\}\\$\\-\\(\\)\\.\\[\\]"\\\'_/\\\\,\\*\\+\\#:@!?;=]*', 'additionalProperties': {'type': 'string'}}, 'description': {'type': 'str', 'position': 0, 'description': 'Longer description of service. => [\\s\\w\\{\\}\\$\\-\\(\\)\\.\\[\\]"\\\'_/\\\\,\\*\\+\\#:@!?;=]*'}, 'iconURL': {'type': 'str', 'position': 0, 'description': 'An image data-URL on the form data:image/png;base64,BASE64IMAGEDATA => Sanitize by regex data:image/.+'}, 'notificationEmail': {'type': 'str', 'position': 0, 'description': 'The service notification email address. => format:email'}, 'notifyOnCreate': {'type': 'bool', 'position': 0, 'description': 'If true, notify the service notification email address on created cases. Default is false.'}, 'notifyOnUpdate': {'type': 'bool', 'position': 0, 'description': 'If true, notify the service notification email address on updated cases. Default is false.'}, 'notifyOnClose': {'type': 'bool', 'position': 0, 'description': 'If true, notify the service notification email address on closed cases. Default is false.'}, 'notifyFullFormat': {'type': 'bool', 'position': 0, 'description': 'If true, use the full format when notifying to the service notification email. Default is false.'}, 'handledBySoc': {'type': 'bool', 'position': 0, 'description': 'If true, this service is handled by SOC 24/7. Default is false.'}, 'monitoredBySocOutsideOfficeHours': {'type': 'bool', 'position': 0, 'description': 'If true, this service is monitored by SOC outside office hours. Default is false.'}, 'eventEnabled': {'type': 'bool', 'position': 0, 'description': 'If true, this service is integrated with events.'}, 'assignDefaultTech': {'type': 'bool', 'position': 0, 'description': 'If true, cases created for this service will be automatically assign tech to the executing user (if tech).'}, 'assignDefaultUser': {'type': 'bool', 'position': 0, 'description': 'If true, cases created for this service will be automatically assign user to the executing user (if not tech).'}, 'workflows': {'type': 'dict', 'position': 0, 'description': 'If set, define workflows to enable for this service.', 'additionalProperties': {'type': 'boolean'}}, 'caseTypes': {'type': 'list', 'position': 0, 'description': 'The case types to enable for this service.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['securityIncident', 'operationalIncident', 'informational', 'change']}, 'maxItems': 2147483647, 'minItems': 1}, 'readFunction': {'type': 'str', 'position': 0, 'description': 'The name or ID of the function to set as READ function for this service.'}, 'writeFunction': {'type': 'str', 'position': 0, 'description': 'The name or ID of the function to set as WRITE function for this service.'}, 'techFunction': {'type': 'str', 'position': 0, 'description': 'The name or ID of the function to set as TECH function for this service.'}, 'adminFunction': {'type': 'str', 'position': 0, 'description': 'The name or ID of the function to set as ADMIN function for this service.'}, 'defineFunction': {'type': 'str', 'position': 0, 'description': 'The name or ID of the function to set as DEFINE function for this service.'}, 'fieldPolicy': {'type': 'str', 'position': 0, 'description': 'The ID of a field policy to set for this service. Default is no policy.'}}}}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Service shortname'}, 'name': {'type': 'str', 'position': 0, 'description': 'Service name'}, 'localizedName': {'type': 'str', 'position': 0, 'description': 'Localized name (current users language)'}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'Localized names', 'additionalProperties': {'type': 'string'}}, 'localizedDescription': {'type': 'str', 'position': 0, 'description': 'Localized description (current users language)'}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'Localized descriptions', 'additionalProperties': {'type': 'string'}}, 'description': {'type': 'str', 'position': 0, 'description': 'Service description'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['DELETED', 'HANDLED_BY_SOC', 'MONITORED_BY_SOC_OUTSIDE_OFFICEHOURS', 'NOTIFICATION_ON_CREATE', 'NOTIFICATION_ON_UPDATE', 'NOTIFICATION_ON_CLOSE', 'NOTIFICATION_FORMAT_FULL', 'DEPRECATED', 'ASSIGN_DEFAULT_TECH', 'ASSIGN_DEFAULT_USER', 'EVENT_ENABLED']}}, 'logoURL': {'type': 'str', 'position': 0, 'description': 'The logo data-URL used for this service'}, 'notificationEmail': {'type': 'str', 'position': 0, 'description': 'The notification email configured for this service'}, 'readFunction': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Function name'}, 'description': {'type': 'str', 'position': 0, 'description': 'Function description'}, 'securityLevel': {'type': 'str', 'position': 0, 'description': 'Function security level', 'enum': ['DEFAULT', 'ADMINISTRATIVE', 'EXTERNAL']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['ROLE', 'SYSADM']}}}}, 'readDetailedFunction': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Function name'}, 'description': {'type': 'str', 'position': 0, 'description': 'Function description'}, 'securityLevel': {'type': 'str', 'position': 0, 'description': 'Function security level', 'enum': ['DEFAULT', 'ADMINISTRATIVE', 'EXTERNAL']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['ROLE', 'SYSADM']}}}}, 'writeFunction': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Function name'}, 'description': {'type': 'str', 'position': 0, 'description': 'Function description'}, 'securityLevel': {'type': 'str', 'position': 0, 'description': 'Function security level', 'enum': ['DEFAULT', 'ADMINISTRATIVE', 'EXTERNAL']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['ROLE', 'SYSADM']}}}}, 'techFunction': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Function name'}, 'description': {'type': 'str', 'position': 0, 'description': 'Function description'}, 'securityLevel': {'type': 'str', 'position': 0, 'description': 'Function security level', 'enum': ['DEFAULT', 'ADMINISTRATIVE', 'EXTERNAL']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['ROLE', 'SYSADM']}}}}, 'adminFunction': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Function name'}, 'description': {'type': 'str', 'position': 0, 'description': 'Function description'}, 'securityLevel': {'type': 'str', 'position': 0, 'description': 'Function security level', 'enum': ['DEFAULT', 'ADMINISTRATIVE', 'EXTERNAL']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['ROLE', 'SYSADM']}}}}, 'defineFunction': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Function name'}, 'description': {'type': 'str', 'position': 0, 'description': 'Function description'}, 'securityLevel': {'type': 'str', 'position': 0, 'description': 'Function security level', 'enum': ['DEFAULT', 'ADMINISTRATIVE', 'EXTERNAL']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['ROLE', 'SYSADM']}}}}, 'createdTimestamp': {'type': 'int', 'position': 0, 'description': 'Timestamp when this service was created'}, 'createdByUser': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}, 'shortName': {'type': 'string'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}}}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}, 'userName': {'type': 'string'}, 'name': {'type': 'string'}, 'customerID': {'type': 'int'}}}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'Timestamp when this service was last updated'}, 'lastUpdatedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}, 'shortName': {'type': 'string'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}}}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}, 'userName': {'type': 'string'}, 'name': {'type': 'string'}, 'customerID': {'type': 'int'}}}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}, 'fieldPolicy': {'type': 'dict', 'properties': {'id': {'type': 'str', 'readOnly': True}, 'name': {'type': 'str', 'position': 0, 'description': 'The policy name', 'readOnly': True}}}, 'caseTypes': {'type': 'list', 'position': 0, 'description': 'The case types which are enabled for this service.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['securityIncident', 'operationalIncident', 'informational', 'change']}}, 'workflows': {'type': 'list', 'position': 0, 'description': 'The workflows which are enabled for this service', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['validation', 'tuning', 'escalation', 'customerUpdate', 'escalateTI', 'escalateNSA', 'escalateLog', 'escalateInfra', 'escalateMSI', 'severityAlert', 'slaViolation', 'internalSlaViolation', 'delegateToSOC', 'escalateDEV', 'escalateTRS', 'escalateMSSAnalyst', 'escalateTAM']}}, 'createdTime': {'type': 'str', 'position': 0, 'description': 'Time when this service was created (in ISO-8601 time format)'}, 'lastUpdatedTime': {'type': 'str', 'position': 0, 'description': 'Time when this service was last updated (in ISO-8601 time format)'}}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '412': {'description': 'Validation error'}}}
delete_service = {'tags': ['cases/v2/service'], 'summary': 'Delete service (INTERNAL)', 'description': '', 'operationId': 'deleteService', 'produces': ['application/json'], 'parameters': [{'name': 'id', 'in': 'path', 'description': 'ID or shortname of service to delete', 'required': True, 'type': 'str'}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Service shortname'}, 'name': {'type': 'str', 'position': 0, 'description': 'Service name'}, 'localizedName': {'type': 'str', 'position': 0, 'description': 'Localized name (current users language)'}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'Localized names', 'additionalProperties': {'type': 'string'}}, 'localizedDescription': {'type': 'str', 'position': 0, 'description': 'Localized description (current users language)'}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'Localized descriptions', 'additionalProperties': {'type': 'string'}}, 'description': {'type': 'str', 'position': 0, 'description': 'Service description'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['DELETED', 'HANDLED_BY_SOC', 'MONITORED_BY_SOC_OUTSIDE_OFFICEHOURS', 'NOTIFICATION_ON_CREATE', 'NOTIFICATION_ON_UPDATE', 'NOTIFICATION_ON_CLOSE', 'NOTIFICATION_FORMAT_FULL', 'DEPRECATED', 'ASSIGN_DEFAULT_TECH', 'ASSIGN_DEFAULT_USER', 'EVENT_ENABLED']}}, 'logoURL': {'type': 'str', 'position': 0, 'description': 'The logo data-URL used for this service'}, 'notificationEmail': {'type': 'str', 'position': 0, 'description': 'The notification email configured for this service'}, 'readFunction': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Function name'}, 'description': {'type': 'str', 'position': 0, 'description': 'Function description'}, 'securityLevel': {'type': 'str', 'position': 0, 'description': 'Function security level', 'enum': ['DEFAULT', 'ADMINISTRATIVE', 'EXTERNAL']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['ROLE', 'SYSADM']}}}}, 'readDetailedFunction': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Function name'}, 'description': {'type': 'str', 'position': 0, 'description': 'Function description'}, 'securityLevel': {'type': 'str', 'position': 0, 'description': 'Function security level', 'enum': ['DEFAULT', 'ADMINISTRATIVE', 'EXTERNAL']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['ROLE', 'SYSADM']}}}}, 'writeFunction': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Function name'}, 'description': {'type': 'str', 'position': 0, 'description': 'Function description'}, 'securityLevel': {'type': 'str', 'position': 0, 'description': 'Function security level', 'enum': ['DEFAULT', 'ADMINISTRATIVE', 'EXTERNAL']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['ROLE', 'SYSADM']}}}}, 'techFunction': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Function name'}, 'description': {'type': 'str', 'position': 0, 'description': 'Function description'}, 'securityLevel': {'type': 'str', 'position': 0, 'description': 'Function security level', 'enum': ['DEFAULT', 'ADMINISTRATIVE', 'EXTERNAL']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['ROLE', 'SYSADM']}}}}, 'adminFunction': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Function name'}, 'description': {'type': 'str', 'position': 0, 'description': 'Function description'}, 'securityLevel': {'type': 'str', 'position': 0, 'description': 'Function security level', 'enum': ['DEFAULT', 'ADMINISTRATIVE', 'EXTERNAL']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['ROLE', 'SYSADM']}}}}, 'defineFunction': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Function name'}, 'description': {'type': 'str', 'position': 0, 'description': 'Function description'}, 'securityLevel': {'type': 'str', 'position': 0, 'description': 'Function security level', 'enum': ['DEFAULT', 'ADMINISTRATIVE', 'EXTERNAL']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['ROLE', 'SYSADM']}}}}, 'createdTimestamp': {'type': 'int', 'position': 0, 'description': 'Timestamp when this service was created'}, 'createdByUser': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}, 'shortName': {'type': 'string'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}}}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}, 'userName': {'type': 'string'}, 'name': {'type': 'string'}, 'customerID': {'type': 'int'}}}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'Timestamp when this service was last updated'}, 'lastUpdatedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}, 'shortName': {'type': 'string'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}}}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}, 'userName': {'type': 'string'}, 'name': {'type': 'string'}, 'customerID': {'type': 'int'}}}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}, 'fieldPolicy': {'type': 'dict', 'properties': {'id': {'type': 'str', 'readOnly': True}, 'name': {'type': 'str', 'position': 0, 'description': 'The policy name', 'readOnly': True}}}, 'caseTypes': {'type': 'list', 'position': 0, 'description': 'The case types which are enabled for this service.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['securityIncident', 'operationalIncident', 'informational', 'change']}}, 'workflows': {'type': 'list', 'position': 0, 'description': 'The workflows which are enabled for this service', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['validation', 'tuning', 'escalation', 'customerUpdate', 'escalateTI', 'escalateNSA', 'escalateLog', 'escalateInfra', 'escalateMSI', 'severityAlert', 'slaViolation', 'internalSlaViolation', 'delegateToSOC', 'escalateDEV', 'escalateTRS', 'escalateMSSAnalyst', 'escalateTAM']}}, 'createdTime': {'type': 'str', 'position': 0, 'description': 'Time when this service was created (in ISO-8601 time format)'}, 'lastUpdatedTime': {'type': 'str', 'position': 0, 'description': 'Time when this service was last updated (in ISO-8601 time format)'}}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}
get_field_policy_by_service = {'tags': ['cases/v2/field'], 'summary': 'Fetch policy descriptor by service and customer (INTERNAL)', 'description': 'Fetch the field policy that applies to the specified service and customer. This endpoint is useful to fetch the field policy that applies to a new case (before creation). The policy will specify available fields for the service of the case, and if any of the fields are required on create.', 'operationId': 'getFieldPolicyByService', 'produces': ['application/json'], 'parameters': [{'name': 'service', 'in': 'path', 'description': 'ID or shortname of service to fetch policy for', 'required': True, 'type': 'str'}, {'name': 'customer', 'in': 'query', 'description': 'ID or shortname of customer to fetch policy for', 'required': False, 'type': 'str'}, {'name': 'domain', 'in': 'query', 'description': 'Domain to lookup service and customer in (when using shortnames). Defaults to the current users domain.', 'required': False, 'type': 'str'}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'id': {'type': 'str'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['DELETED']}}, 'name': {'type': 'str', 'position': 0, 'description': 'The policy name'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}, 'shortName': {'type': 'string'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}}}, 'createdTimestamp': {'type': 'int', 'position': 0, 'description': 'Timestamp for the creation of this policy.'}, 'createdByUser': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}, 'shortName': {'type': 'string'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}}}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}, 'userName': {'type': 'string'}, 'name': {'type': 'string'}, 'customerID': {'type': 'int'}}}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'Timestamp for the last update of this policy.'}, 'lastUpdatedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}, 'shortName': {'type': 'string'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}}}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}, 'userName': {'type': 'string'}, 'name': {'type': 'string'}, 'customerID': {'type': 'int'}}}, 'bindings': {'type': 'list', 'position': 0, 'description': 'The fields bound to this policy.', 'uniqueItems': True, 'items': {'type': 'dict', 'properties': {'id': {'type': 'str'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['DELETED']}}, 'field': {'type': 'dict', 'properties': {'id': {'type': 'str', 'readOnly': True}, 'name': {'type': 'str', 'position': 0, 'description': 'The name of this field. May be overridden by displayName in field policies.', 'readOnly': True}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'readOnly': True, 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['DELETED', 'MULTIVALUE', 'HAS_VALUE_SOURCE', 'HIDDEN']}}, 'valueType': {'type': 'str', 'position': 0, 'description': 'The value type of this field. Field values will be validated to ensure that the type is valid. If the field is a multivalue field, each value must be of the correct type.', 'readOnly': True, 'enum': ['booleanType', 'integerType', 'floatType', 'stringType', 'textType', 'timestampType', 'ipType', 'subjectType', 'caseType', 'documentType', 'assetType', 'jsonType']}}}, 'displayName': {'type': 'str', 'position': 0, 'description': 'The display name of the field. Default is the field name.'}, 'requirementPolicy': {'type': 'str', 'position': 0, 'description': 'The requirement policy for this field in this field policy.', 'enum': ['optional', 'requiredOnCreate', 'requiredOnClose']}}}}, 'createdTime': {'type': 'str', 'position': 0, 'description': 'Time when this policy was created (in ISO-8601 time format)'}, 'lastUpdatedTime': {'type': 'str', 'position': 0, 'description': 'Time when this policy was last updated (in ISO-8601 time format)'}}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}
get_service = {'tags': ['cases/v2/service'], 'summary': 'Fetch service (INTERNAL)', 'description': '', 'operationId': 'getService', 'produces': ['application/json'], 'parameters': [{'name': 'id', 'in': 'path', 'description': 'ID or shortname of service', 'required': True, 'type': 'str'}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Service shortname'}, 'name': {'type': 'str', 'position': 0, 'description': 'Service name'}, 'localizedName': {'type': 'str', 'position': 0, 'description': 'Localized name (current users language)'}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'Localized names', 'additionalProperties': {'type': 'string'}}, 'localizedDescription': {'type': 'str', 'position': 0, 'description': 'Localized description (current users language)'}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'Localized descriptions', 'additionalProperties': {'type': 'string'}}, 'description': {'type': 'str', 'position': 0, 'description': 'Service description'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['DELETED', 'HANDLED_BY_SOC', 'MONITORED_BY_SOC_OUTSIDE_OFFICEHOURS', 'NOTIFICATION_ON_CREATE', 'NOTIFICATION_ON_UPDATE', 'NOTIFICATION_ON_CLOSE', 'NOTIFICATION_FORMAT_FULL', 'DEPRECATED', 'ASSIGN_DEFAULT_TECH', 'ASSIGN_DEFAULT_USER', 'EVENT_ENABLED']}}, 'logoURL': {'type': 'str', 'position': 0, 'description': 'The logo data-URL used for this service'}, 'notificationEmail': {'type': 'str', 'position': 0, 'description': 'The notification email configured for this service'}, 'readFunction': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Function name'}, 'description': {'type': 'str', 'position': 0, 'description': 'Function description'}, 'securityLevel': {'type': 'str', 'position': 0, 'description': 'Function security level', 'enum': ['DEFAULT', 'ADMINISTRATIVE', 'EXTERNAL']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['ROLE', 'SYSADM']}}}}, 'readDetailedFunction': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Function name'}, 'description': {'type': 'str', 'position': 0, 'description': 'Function description'}, 'securityLevel': {'type': 'str', 'position': 0, 'description': 'Function security level', 'enum': ['DEFAULT', 'ADMINISTRATIVE', 'EXTERNAL']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['ROLE', 'SYSADM']}}}}, 'writeFunction': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Function name'}, 'description': {'type': 'str', 'position': 0, 'description': 'Function description'}, 'securityLevel': {'type': 'str', 'position': 0, 'description': 'Function security level', 'enum': ['DEFAULT', 'ADMINISTRATIVE', 'EXTERNAL']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['ROLE', 'SYSADM']}}}}, 'techFunction': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Function name'}, 'description': {'type': 'str', 'position': 0, 'description': 'Function description'}, 'securityLevel': {'type': 'str', 'position': 0, 'description': 'Function security level', 'enum': ['DEFAULT', 'ADMINISTRATIVE', 'EXTERNAL']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['ROLE', 'SYSADM']}}}}, 'adminFunction': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Function name'}, 'description': {'type': 'str', 'position': 0, 'description': 'Function description'}, 'securityLevel': {'type': 'str', 'position': 0, 'description': 'Function security level', 'enum': ['DEFAULT', 'ADMINISTRATIVE', 'EXTERNAL']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['ROLE', 'SYSADM']}}}}, 'defineFunction': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Function name'}, 'description': {'type': 'str', 'position': 0, 'description': 'Function description'}, 'securityLevel': {'type': 'str', 'position': 0, 'description': 'Function security level', 'enum': ['DEFAULT', 'ADMINISTRATIVE', 'EXTERNAL']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['ROLE', 'SYSADM']}}}}, 'createdTimestamp': {'type': 'int', 'position': 0, 'description': 'Timestamp when this service was created'}, 'createdByUser': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}, 'shortName': {'type': 'string'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}}}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}, 'userName': {'type': 'string'}, 'name': {'type': 'string'}, 'customerID': {'type': 'int'}}}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'Timestamp when this service was last updated'}, 'lastUpdatedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}, 'shortName': {'type': 'string'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}}}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}, 'userName': {'type': 'string'}, 'name': {'type': 'string'}, 'customerID': {'type': 'int'}}}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}, 'fieldPolicy': {'type': 'dict', 'properties': {'id': {'type': 'str', 'readOnly': True}, 'name': {'type': 'str', 'position': 0, 'description': 'The policy name', 'readOnly': True}}}, 'caseTypes': {'type': 'list', 'position': 0, 'description': 'The case types which are enabled for this service.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['securityIncident', 'operationalIncident', 'informational', 'change']}}, 'workflows': {'type': 'list', 'position': 0, 'description': 'The workflows which are enabled for this service', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['validation', 'tuning', 'escalation', 'customerUpdate', 'escalateTI', 'escalateNSA', 'escalateLog', 'escalateInfra', 'escalateMSI', 'severityAlert', 'slaViolation', 'internalSlaViolation', 'delegateToSOC', 'escalateDEV', 'escalateTRS', 'escalateMSSAnalyst', 'escalateTAM']}}, 'createdTime': {'type': 'str', 'position': 0, 'description': 'Time when this service was created (in ISO-8601 time format)'}, 'lastUpdatedTime': {'type': 'str', 'position': 0, 'description': 'Time when this service was last updated (in ISO-8601 time format)'}}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}
get_service_logo = {'tags': ['cases/v2/service'], 'summary': 'Fetch service logo (INTERNAL)', 'description': '', 'operationId': 'getServiceLogo', 'produces': ['image/*'], 'parameters': [{'name': 'id', 'in': 'path', 'description': 'ID or shortname of service', 'required': True, 'type': 'str'}], 'responses': {'401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}
list_categories_by_service = {'tags': ['cases/v2/service'], 'summary': 'List categories bound to service (PUBLIC)', 'description': '', 'operationId': 'listCategoriesByService', 'produces': ['application/json'], 'parameters': [{'name': 'id', 'in': 'path', 'description': 'ID or shortname of service', 'required': True, 'type': 'str'}, {'name': 'offset', 'in': 'query', 'description': 'Skip a number of results', 'required': False, 'type': 'int', 'default': 0, 'minimum': 0}, {'name': 'limit', 'in': 'query', 'description': 'Maximum number of returned results', 'required': False, 'type': 'int', 'default': 25, 'minimum': 0}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'list', 'description': 'Contains an array of results', 'items': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Category name'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Category shortname'}, 'description': {'type': 'str', 'position': 0, 'description': 'Category description'}, 'localizedName': {'type': 'str', 'position': 0, 'description': 'Localized name (current users language)'}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'Localized names', 'additionalProperties': {'type': 'string'}}, 'localizedDescription': {'type': 'str', 'position': 0, 'description': 'Localized description (current users language)'}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'Localized descriptions', 'additionalProperties': {'type': 'string'}}, 'createdTimestamp': {'type': 'int', 'position': 0, 'description': 'Timestamp when this category was created'}, 'createdByUser': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}, 'shortName': {'type': 'string'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}}}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}, 'userName': {'type': 'string'}, 'name': {'type': 'string'}, 'customerID': {'type': 'int'}}}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'Timestamp when this category was last updated'}, 'lastUpdatedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}, 'shortName': {'type': 'string'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}}}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}, 'userName': {'type': 'string'}, 'name': {'type': 'string'}, 'customerID': {'type': 'int'}}}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}, 'bindings': {'type': 'list', 'position': 0, 'description': 'Bindings from this category to services', 'uniqueItems': True, 'items': {'type': 'dict', 'properties': {'id': {'type': 'str'}, 'category': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Category name', 'readOnly': True}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Category shortname', 'readOnly': True}, 'localizedName': {'type': 'str', 'position': 0, 'description': 'Category name localized to current users language', 'readOnly': True}}}, 'service': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Service name', 'readOnly': True}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Service shortname', 'readOnly': True}, 'localizedName': {'type': 'str', 'position': 0, 'description': 'Service name localized to the current users language', 'readOnly': True}}}, 'caseTypes': {'type': 'list', 'position': 0, 'description': 'Case types the category is bound to this service for', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['securityIncident', 'operationalIncident', 'informational', 'change']}}}}}, 'createdTime': {'type': 'str', 'position': 0, 'description': 'Time when this category was created (in ISO-8601 time format)'}, 'lastUpdatedTime': {'type': 'str', 'position': 0, 'description': 'Time when this category was last updated (in ISO-8601 time format)'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['DELETED', 'DEPRECATED']}}}, 'description': 'Categories are used to categorize cases into specific subcategories. Each case may be associated with one category (or none).The category must be associated with the service that the case is bound to, and to the case type of the case.'}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}
list_services = {'tags': ['cases/v2/service'], 'summary': 'List services (INTERNAL)', 'description': '', 'operationId': 'listServices', 'produces': ['application/json'], 'parameters': [{'name': 'id', 'in': 'query', 'description': 'List of IDs to match', 'required': False, 'type': 'list', 'items': {'type': 'int'}, 'collectionFormat': 'multi'}, {'name': 'shortName', 'in': 'query', 'description': 'List of shortnames to match', 'required': False, 'type': 'list', 'items': {'type': 'string'}, 'collectionFormat': 'multi'}, {'name': 'keywords', 'in': 'query', 'description': 'Limit by matching keywords', 'required': False, 'type': 'list', 'items': {'type': 'string'}, 'collectionFormat': 'multi'}, {'name': 'sortBy', 'in': 'query', 'description': 'Sort order (see /cases/v2/service/search documentation for details)', 'required': False, 'type': 'list', 'items': {'type': 'string'}, 'collectionFormat': 'multi'}, {'name': 'offset', 'in': 'query', 'description': 'Skip a number of results', 'required': False, 'type': 'int', 'default': 0, 'minimum': 0}, {'name': 'limit', 'in': 'query', 'description': 'Maximum number of returned results', 'required': False, 'type': 'int', 'default': 25, 'minimum': 0}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'list', 'description': 'Contains an array of results', 'items': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Service shortname'}, 'name': {'type': 'str', 'position': 0, 'description': 'Service name'}, 'localizedName': {'type': 'str', 'position': 0, 'description': 'Localized name (current users language)'}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'Localized names', 'additionalProperties': {'type': 'string'}}, 'localizedDescription': {'type': 'str', 'position': 0, 'description': 'Localized description (current users language)'}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'Localized descriptions', 'additionalProperties': {'type': 'string'}}, 'description': {'type': 'str', 'position': 0, 'description': 'Service description'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['DELETED', 'HANDLED_BY_SOC', 'MONITORED_BY_SOC_OUTSIDE_OFFICEHOURS', 'NOTIFICATION_ON_CREATE', 'NOTIFICATION_ON_UPDATE', 'NOTIFICATION_ON_CLOSE', 'NOTIFICATION_FORMAT_FULL', 'DEPRECATED', 'ASSIGN_DEFAULT_TECH', 'ASSIGN_DEFAULT_USER', 'EVENT_ENABLED']}}, 'logoURL': {'type': 'str', 'position': 0, 'description': 'The logo data-URL used for this service'}, 'notificationEmail': {'type': 'str', 'position': 0, 'description': 'The notification email configured for this service'}, 'readFunction': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Function name'}, 'description': {'type': 'str', 'position': 0, 'description': 'Function description'}, 'securityLevel': {'type': 'str', 'position': 0, 'description': 'Function security level', 'enum': ['DEFAULT', 'ADMINISTRATIVE', 'EXTERNAL']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['ROLE', 'SYSADM']}}}}, 'readDetailedFunction': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Function name'}, 'description': {'type': 'str', 'position': 0, 'description': 'Function description'}, 'securityLevel': {'type': 'str', 'position': 0, 'description': 'Function security level', 'enum': ['DEFAULT', 'ADMINISTRATIVE', 'EXTERNAL']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['ROLE', 'SYSADM']}}}}, 'writeFunction': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Function name'}, 'description': {'type': 'str', 'position': 0, 'description': 'Function description'}, 'securityLevel': {'type': 'str', 'position': 0, 'description': 'Function security level', 'enum': ['DEFAULT', 'ADMINISTRATIVE', 'EXTERNAL']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['ROLE', 'SYSADM']}}}}, 'techFunction': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Function name'}, 'description': {'type': 'str', 'position': 0, 'description': 'Function description'}, 'securityLevel': {'type': 'str', 'position': 0, 'description': 'Function security level', 'enum': ['DEFAULT', 'ADMINISTRATIVE', 'EXTERNAL']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['ROLE', 'SYSADM']}}}}, 'adminFunction': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Function name'}, 'description': {'type': 'str', 'position': 0, 'description': 'Function description'}, 'securityLevel': {'type': 'str', 'position': 0, 'description': 'Function security level', 'enum': ['DEFAULT', 'ADMINISTRATIVE', 'EXTERNAL']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['ROLE', 'SYSADM']}}}}, 'defineFunction': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Function name'}, 'description': {'type': 'str', 'position': 0, 'description': 'Function description'}, 'securityLevel': {'type': 'str', 'position': 0, 'description': 'Function security level', 'enum': ['DEFAULT', 'ADMINISTRATIVE', 'EXTERNAL']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['ROLE', 'SYSADM']}}}}, 'createdTimestamp': {'type': 'int', 'position': 0, 'description': 'Timestamp when this service was created'}, 'createdByUser': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}, 'shortName': {'type': 'string'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}}}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}, 'userName': {'type': 'string'}, 'name': {'type': 'string'}, 'customerID': {'type': 'int'}}}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'Timestamp when this service was last updated'}, 'lastUpdatedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}, 'shortName': {'type': 'string'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}}}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}, 'userName': {'type': 'string'}, 'name': {'type': 'string'}, 'customerID': {'type': 'int'}}}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}, 'fieldPolicy': {'type': 'dict', 'properties': {'id': {'type': 'str', 'readOnly': True}, 'name': {'type': 'str', 'position': 0, 'description': 'The policy name', 'readOnly': True}}}, 'caseTypes': {'type': 'list', 'position': 0, 'description': 'The case types which are enabled for this service.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['securityIncident', 'operationalIncident', 'informational', 'change']}}, 'workflows': {'type': 'list', 'position': 0, 'description': 'The workflows which are enabled for this service', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['validation', 'tuning', 'escalation', 'customerUpdate', 'escalateTI', 'escalateNSA', 'escalateLog', 'escalateInfra', 'escalateMSI', 'severityAlert', 'slaViolation', 'internalSlaViolation', 'delegateToSOC', 'escalateDEV', 'escalateTRS', 'escalateMSSAnalyst', 'escalateTAM']}}, 'createdTime': {'type': 'str', 'position': 0, 'description': 'Time when this service was created (in ISO-8601 time format)'}, 'lastUpdatedTime': {'type': 'str', 'position': 0, 'description': 'Time when this service was last updated (in ISO-8601 time format)'}}}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '412': {'description': 'Validation error'}}}
search_services = {'tags': ['cases/v2/service'], 'summary': 'Search services (INTERNAL)', 'description': '', 'operationId': 'searchServices', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'in': 'body', 'name': 'body', 'description': 'Search criteria', 'required': False, 'schema': {'type': 'object', 'properties': {'limit': {'type': 'int', 'position': 0, 'description': 'Max number of results.'}, 'offset': {'type': 'int', 'position': 0, 'description': 'Skip the first (offset) objects. By default, return result from first object.'}, 'includeDeleted': {'type': 'bool', 'position': 0, 'description': 'Set to true to include deleted objects. By default, exclude deleted objects.'}, 'subCriteria': {'type': 'list', 'position': 0, 'description': 'Set additional criterias which are applied using a logical OR.', 'uniqueItems': True, 'items': {'type': 'dict', 'properties': {'limit': {'type': 'int', 'position': 0, 'description': 'Max number of results.'}, 'offset': {'type': 'int', 'position': 0, 'description': 'Skip the first (offset) objects. By default, return result from first object.'}, 'includeDeleted': {'type': 'bool', 'position': 0, 'description': 'Set to true to include deleted objects. By default, exclude deleted objects.'}, 'subCriteria': {'type': 'list', 'position': 0, 'description': 'Set additional criterias which are applied using a logical OR.', 'uniqueItems': True, 'items': []}, 'exclude': {'type': 'bool', 'position': 0, 'description': 'Only relevant for subcriteria. If set to true, objects matching this subcriteria object will be excluded.'}, 'required': {'type': 'bool', 'position': 0, 'description': 'Only relevant for subcriteria. If set to true, objects matching this subcriteria are required (AND-ed together with parent criteria).'}, 'id': {'type': 'list', 'position': 0, 'description': 'Limit search to services with the specified numeric ID`s.', 'uniqueItems': True, 'items': {'type': 'int'}}, 'shortName': {'type': 'list', 'position': 0, 'description': 'Limit search to services with the specified shortnames', 'uniqueItems': True, 'items': {'type': 'string'}}, 'fieldPolicy': {'type': 'list', 'position': 0, 'description': 'Limit search to services bound to specified field policies (by UUID or name)', 'uniqueItems': True, 'items': {'type': 'string'}}, 'keywords': {'type': 'list', 'position': 0, 'description': 'Limit search to services matching the given keywords (by name or shortname)', 'uniqueItems': True, 'items': {'type': 'string'}}, 'sortBy': {'type': 'list', 'position': 0, 'description': 'List of properties to sort by (prefix with "-" to sort descending).', 'items': {'type': 'str', 'enum': ['id', 'shortName', 'name', '-id', '-shortName', '-name']}}, 'includeFlags': {'type': 'list', 'position': 0, 'description': 'Only include objects which have includeFlags set.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['DELETED', 'HANDLED_BY_SOC', 'MONITORED_BY_SOC_OUTSIDE_OFFICEHOURS', 'DEPRECATED', 'EVENT_ENABLED']}}, 'excludeFlags': {'type': 'list', 'position': 0, 'description': 'Exclude objects which have excludeFlags set.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['DELETED', 'HANDLED_BY_SOC', 'MONITORED_BY_SOC_OUTSIDE_OFFICEHOURS', 'DEPRECATED', 'EVENT_ENABLED']}}}}}, 'exclude': {'type': 'bool', 'position': 0, 'description': 'Only relevant for subcriteria. If set to true, objects matching this subcriteria object will be excluded.'}, 'required': {'type': 'bool', 'position': 0, 'description': 'Only relevant for subcriteria. If set to true, objects matching this subcriteria are required (AND-ed together with parent criteria).'}, 'id': {'type': 'list', 'position': 0, 'description': 'Limit search to services with the specified numeric ID`s.', 'uniqueItems': True, 'items': {'type': 'int'}}, 'shortName': {'type': 'list', 'position': 0, 'description': 'Limit search to services with the specified shortnames', 'uniqueItems': True, 'items': {'type': 'string'}}, 'fieldPolicy': {'type': 'list', 'position': 0, 'description': 'Limit search to services bound to specified field policies (by UUID or name)', 'uniqueItems': True, 'items': {'type': 'string'}}, 'keywords': {'type': 'list', 'position': 0, 'description': 'Limit search to services matching the given keywords (by name or shortname)', 'uniqueItems': True, 'items': {'type': 'string'}}, 'sortBy': {'type': 'list', 'position': 0, 'description': 'List of properties to sort by (prefix with "-" to sort descending).', 'items': {'type': 'str', 'enum': ['id', 'shortName', 'name', '-id', '-shortName', '-name']}}, 'includeFlags': {'type': 'list', 'position': 0, 'description': 'Only include objects which have includeFlags set.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['DELETED', 'HANDLED_BY_SOC', 'MONITORED_BY_SOC_OUTSIDE_OFFICEHOURS', 'DEPRECATED', 'EVENT_ENABLED']}}, 'excludeFlags': {'type': 'list', 'position': 0, 'description': 'Exclude objects which have excludeFlags set.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['DELETED', 'HANDLED_BY_SOC', 'MONITORED_BY_SOC_OUTSIDE_OFFICEHOURS', 'DEPRECATED', 'EVENT_ENABLED']}}}}}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'list', 'description': 'Contains an array of results', 'items': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Service shortname'}, 'name': {'type': 'str', 'position': 0, 'description': 'Service name'}, 'localizedName': {'type': 'str', 'position': 0, 'description': 'Localized name (current users language)'}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'Localized names', 'additionalProperties': {'type': 'string'}}, 'localizedDescription': {'type': 'str', 'position': 0, 'description': 'Localized description (current users language)'}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'Localized descriptions', 'additionalProperties': {'type': 'string'}}, 'description': {'type': 'str', 'position': 0, 'description': 'Service description'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['DELETED', 'HANDLED_BY_SOC', 'MONITORED_BY_SOC_OUTSIDE_OFFICEHOURS', 'NOTIFICATION_ON_CREATE', 'NOTIFICATION_ON_UPDATE', 'NOTIFICATION_ON_CLOSE', 'NOTIFICATION_FORMAT_FULL', 'DEPRECATED', 'ASSIGN_DEFAULT_TECH', 'ASSIGN_DEFAULT_USER', 'EVENT_ENABLED']}}, 'logoURL': {'type': 'str', 'position': 0, 'description': 'The logo data-URL used for this service'}, 'notificationEmail': {'type': 'str', 'position': 0, 'description': 'The notification email configured for this service'}, 'readFunction': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Function name'}, 'description': {'type': 'str', 'position': 0, 'description': 'Function description'}, 'securityLevel': {'type': 'str', 'position': 0, 'description': 'Function security level', 'enum': ['DEFAULT', 'ADMINISTRATIVE', 'EXTERNAL']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['ROLE', 'SYSADM']}}}}, 'readDetailedFunction': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Function name'}, 'description': {'type': 'str', 'position': 0, 'description': 'Function description'}, 'securityLevel': {'type': 'str', 'position': 0, 'description': 'Function security level', 'enum': ['DEFAULT', 'ADMINISTRATIVE', 'EXTERNAL']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['ROLE', 'SYSADM']}}}}, 'writeFunction': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Function name'}, 'description': {'type': 'str', 'position': 0, 'description': 'Function description'}, 'securityLevel': {'type': 'str', 'position': 0, 'description': 'Function security level', 'enum': ['DEFAULT', 'ADMINISTRATIVE', 'EXTERNAL']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['ROLE', 'SYSADM']}}}}, 'techFunction': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Function name'}, 'description': {'type': 'str', 'position': 0, 'description': 'Function description'}, 'securityLevel': {'type': 'str', 'position': 0, 'description': 'Function security level', 'enum': ['DEFAULT', 'ADMINISTRATIVE', 'EXTERNAL']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['ROLE', 'SYSADM']}}}}, 'adminFunction': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Function name'}, 'description': {'type': 'str', 'position': 0, 'description': 'Function description'}, 'securityLevel': {'type': 'str', 'position': 0, 'description': 'Function security level', 'enum': ['DEFAULT', 'ADMINISTRATIVE', 'EXTERNAL']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['ROLE', 'SYSADM']}}}}, 'defineFunction': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Function name'}, 'description': {'type': 'str', 'position': 0, 'description': 'Function description'}, 'securityLevel': {'type': 'str', 'position': 0, 'description': 'Function security level', 'enum': ['DEFAULT', 'ADMINISTRATIVE', 'EXTERNAL']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['ROLE', 'SYSADM']}}}}, 'createdTimestamp': {'type': 'int', 'position': 0, 'description': 'Timestamp when this service was created'}, 'createdByUser': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}, 'shortName': {'type': 'string'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}}}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}, 'userName': {'type': 'string'}, 'name': {'type': 'string'}, 'customerID': {'type': 'int'}}}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'Timestamp when this service was last updated'}, 'lastUpdatedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}, 'shortName': {'type': 'string'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}}}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}, 'userName': {'type': 'string'}, 'name': {'type': 'string'}, 'customerID': {'type': 'int'}}}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}, 'fieldPolicy': {'type': 'dict', 'properties': {'id': {'type': 'str', 'readOnly': True}, 'name': {'type': 'str', 'position': 0, 'description': 'The policy name', 'readOnly': True}}}, 'caseTypes': {'type': 'list', 'position': 0, 'description': 'The case types which are enabled for this service.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['securityIncident', 'operationalIncident', 'informational', 'change']}}, 'workflows': {'type': 'list', 'position': 0, 'description': 'The workflows which are enabled for this service', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['validation', 'tuning', 'escalation', 'customerUpdate', 'escalateTI', 'escalateNSA', 'escalateLog', 'escalateInfra', 'escalateMSI', 'severityAlert', 'slaViolation', 'internalSlaViolation', 'delegateToSOC', 'escalateDEV', 'escalateTRS', 'escalateMSSAnalyst', 'escalateTAM']}}, 'createdTime': {'type': 'str', 'position': 0, 'description': 'Time when this service was created (in ISO-8601 time format)'}, 'lastUpdatedTime': {'type': 'str', 'position': 0, 'description': 'Time when this service was last updated (in ISO-8601 time format)'}}}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '412': {'description': 'Validation error'}}}
unbind_category = {'tags': ['cases/v2/service'], 'summary': 'Unbind category from service. If caseType is specified, only unbind specific casetype. Default is to unbind all casetypes, disallowing the category for use on this service. (PUBLIC)', 'description': '', 'operationId': 'unbindCategory', 'produces': ['application/json'], 'parameters': [{'name': 'serviceID', 'in': 'path', 'description': 'ID or shortname of service to unbind category from', 'required': True, 'type': 'str'}, {'name': 'categoryID', 'in': 'path', 'description': 'ID or shortname of category to unbind', 'required': True, 'type': 'str'}, {'name': 'caseType', 'in': 'query', 'description': 'Casetypes to unbind (default is all)', 'required': False, 'type': 'list', 'items': {'type': 'str', 'enum': ['securityIncident', 'operationalIncident', 'informational', 'change']}, 'collectionFormat': 'multi'}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'id': {'type': 'str'}, 'category': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Category name', 'readOnly': True}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Category shortname', 'readOnly': True}, 'localizedName': {'type': 'str', 'position': 0, 'description': 'Category name localized to current users language', 'readOnly': True}}}, 'service': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Service name', 'readOnly': True}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Service shortname', 'readOnly': True}, 'localizedName': {'type': 'str', 'position': 0, 'description': 'Service name localized to the current users language', 'readOnly': True}}}, 'caseTypes': {'type': 'list', 'position': 0, 'description': 'Case types the category is bound to this service for', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['securityIncident', 'operationalIncident', 'informational', 'change']}}}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}
update_service = {'tags': ['cases/v2/service'], 'summary': 'Update an existing service (INTERNAL)', 'description': '', 'operationId': 'updateService', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'name': 'id', 'in': 'path', 'description': 'Service id or shortname', 'required': True, 'type': 'str'}, {'in': 'body', 'name': 'body', 'description': 'Update request', 'required': False, 'schema': {'type': 'object', 'properties': {'shortName': {'type': 'str', 'position': 0, 'description': 'If set, change the shortname of this service. This must be unique within a domain. WARNING: This may affect scripts using shortname as service identifier. => [a-zA-Z0-9_:\\-\\.]*'}, 'name': {'type': 'str', 'position': 0, 'description': 'If set, change the descriptive name of the service. => [\\s\\w\\{\\}\\$\\-\\(\\)\\.\\[\\]"\\\'_/\\\\,\\*\\+\\#:@!?;=]*'}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'Set localized names to override name for specified language. Only specified languages are changed. => [\\s\\w\\{\\}\\$\\-\\(\\)\\.\\[\\]"\\\'_/\\\\,\\*\\+\\#:@!?;=]*', 'additionalProperties': {'type': 'string'}}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'Set localized descriptions to override description for specified language. Only specified languages are changed. => [\\s\\w\\{\\}\\$\\-\\(\\)\\.\\[\\]"\\\'_/\\\\,\\*\\+\\#:@!?;=]*', 'additionalProperties': {'type': 'string'}}, 'description': {'type': 'str', 'position': 0, 'description': 'If set, change the longer description of the service. => [\\s\\w\\{\\}\\$\\-\\(\\)\\.\\[\\]"\\\'_/\\\\,\\*\\+\\#:@!?;=]*'}, 'iconURL': {'type': 'str', 'position': 0, 'description': 'If set, replace the icon for the service. An image data-URL on the form data:image/png;base64,BASE64IMAGEDATA => Sanitize by regex data:image/.+'}, 'notificationEmail': {'type': 'str', 'position': 0, 'description': 'If set, change the service notification email address. => format:email'}, 'caseTypesToAdd': {'type': 'list', 'position': 0, 'description': 'If set, enable the requested case type for this service.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['securityIncident', 'operationalIncident', 'informational', 'change']}}, 'caseTypesToRemove': {'type': 'list', 'position': 0, 'description': 'If set, disable the requested case type for this service. This will be rejected if any non-deleted cases exist which are bound to this service and casetype.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['securityIncident', 'operationalIncident', 'informational', 'change']}}, 'caseTypesToSet': {'type': 'list', 'position': 0, 'description': 'If set, override existing case types for this service. If this causes the service to remove a case type which has non-deleted cases bound to it, this will be rejected.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['securityIncident', 'operationalIncident', 'informational', 'change']}}, 'readFunction': {'type': 'str', 'position': 0, 'description': 'If set, change the READ function for this service, identified by function ID or shortname.'}, 'writeFunction': {'type': 'str', 'position': 0, 'description': 'If set, change the WRITE function for this service, identified by function ID or shortname.'}, 'techFunction': {'type': 'str', 'position': 0, 'description': 'If set, change the TECH function for this service, identified by function ID or shortname.'}, 'adminFunction': {'type': 'str', 'position': 0, 'description': 'If set, change the ADMIN function for this service, identified by function ID or shortname.'}, 'defineFunction': {'type': 'str', 'position': 0, 'description': 'If set, change the DEFINE function for this service, identified by function ID or shortname.'}, 'fieldPolicy': {'type': 'str', 'position': 0, 'description': 'If set, change the field policy for this service. Changing the field policy will affect new cases and future updates to existing cases, but will not change fields set on existing cases.'}, 'notifyOnCreate': {'type': 'bool', 'position': 0, 'description': 'If set, change settings for notifying the service notification email address on created cases.'}, 'notifyOnUpdate': {'type': 'bool', 'position': 0, 'description': 'If set, change settings for notifying the service notification email address on updated cases.'}, 'notifyOnClose': {'type': 'bool', 'position': 0, 'description': 'If set, change settings for notifying the service notification email address on closed cases.'}, 'notifyFullFormat': {'type': 'bool', 'position': 0, 'description': 'If set, change the format settings for notifying to the service notification email.'}, 'handledBySoc': {'type': 'bool', 'position': 0, 'description': 'If set, set whether this service is handled by SOC 24/7.'}, 'monitoredBySocOutsideOfficeHours': {'type': 'bool', 'position': 0, 'description': 'If set, set whether this service is monitored by SOC outside office hours.'}, 'eventEnabled': {'type': 'bool', 'position': 0, 'description': 'If set, set whether service is integrated with events.'}, 'assignDefaultTech': {'type': 'bool', 'position': 0, 'description': 'If set, change whether cases created for this service will be automatically assign tech to the executing user (if tech).'}, 'assignDefaultUser': {'type': 'bool', 'position': 0, 'description': 'If set, change whether cases created for this service will be automatically assign user to the executing user (if not tech).'}, 'workflows': {'type': 'dict', 'position': 0, 'description': 'If set, modify workflows enabled for this service.', 'additionalProperties': {'type': 'boolean'}}, 'deprecated': {'type': 'bool', 'position': 0, 'description': 'If set, enable/disable the deprecated flag for this service. Default is no change.'}}}}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Service shortname'}, 'name': {'type': 'str', 'position': 0, 'description': 'Service name'}, 'localizedName': {'type': 'str', 'position': 0, 'description': 'Localized name (current users language)'}, 'localizedNames': {'type': 'dict', 'position': 0, 'description': 'Localized names', 'additionalProperties': {'type': 'string'}}, 'localizedDescription': {'type': 'str', 'position': 0, 'description': 'Localized description (current users language)'}, 'localizedDescriptions': {'type': 'dict', 'position': 0, 'description': 'Localized descriptions', 'additionalProperties': {'type': 'string'}}, 'description': {'type': 'str', 'position': 0, 'description': 'Service description'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['DELETED', 'HANDLED_BY_SOC', 'MONITORED_BY_SOC_OUTSIDE_OFFICEHOURS', 'NOTIFICATION_ON_CREATE', 'NOTIFICATION_ON_UPDATE', 'NOTIFICATION_ON_CLOSE', 'NOTIFICATION_FORMAT_FULL', 'DEPRECATED', 'ASSIGN_DEFAULT_TECH', 'ASSIGN_DEFAULT_USER', 'EVENT_ENABLED']}}, 'logoURL': {'type': 'str', 'position': 0, 'description': 'The logo data-URL used for this service'}, 'notificationEmail': {'type': 'str', 'position': 0, 'description': 'The notification email configured for this service'}, 'readFunction': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Function name'}, 'description': {'type': 'str', 'position': 0, 'description': 'Function description'}, 'securityLevel': {'type': 'str', 'position': 0, 'description': 'Function security level', 'enum': ['DEFAULT', 'ADMINISTRATIVE', 'EXTERNAL']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['ROLE', 'SYSADM']}}}}, 'readDetailedFunction': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Function name'}, 'description': {'type': 'str', 'position': 0, 'description': 'Function description'}, 'securityLevel': {'type': 'str', 'position': 0, 'description': 'Function security level', 'enum': ['DEFAULT', 'ADMINISTRATIVE', 'EXTERNAL']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['ROLE', 'SYSADM']}}}}, 'writeFunction': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Function name'}, 'description': {'type': 'str', 'position': 0, 'description': 'Function description'}, 'securityLevel': {'type': 'str', 'position': 0, 'description': 'Function security level', 'enum': ['DEFAULT', 'ADMINISTRATIVE', 'EXTERNAL']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['ROLE', 'SYSADM']}}}}, 'techFunction': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Function name'}, 'description': {'type': 'str', 'position': 0, 'description': 'Function description'}, 'securityLevel': {'type': 'str', 'position': 0, 'description': 'Function security level', 'enum': ['DEFAULT', 'ADMINISTRATIVE', 'EXTERNAL']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['ROLE', 'SYSADM']}}}}, 'adminFunction': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Function name'}, 'description': {'type': 'str', 'position': 0, 'description': 'Function description'}, 'securityLevel': {'type': 'str', 'position': 0, 'description': 'Function security level', 'enum': ['DEFAULT', 'ADMINISTRATIVE', 'EXTERNAL']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['ROLE', 'SYSADM']}}}}, 'defineFunction': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'str', 'position': 0, 'description': 'Function name'}, 'description': {'type': 'str', 'position': 0, 'description': 'Function description'}, 'securityLevel': {'type': 'str', 'position': 0, 'description': 'Function security level', 'enum': ['DEFAULT', 'ADMINISTRATIVE', 'EXTERNAL']}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['ROLE', 'SYSADM']}}}}, 'createdTimestamp': {'type': 'int', 'position': 0, 'description': 'Timestamp when this service was created'}, 'createdByUser': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}, 'shortName': {'type': 'string'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}}}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}, 'userName': {'type': 'string'}, 'name': {'type': 'string'}, 'customerID': {'type': 'int'}}}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'Timestamp when this service was last updated'}, 'lastUpdatedByUser': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}, 'shortName': {'type': 'string'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}}}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}, 'userName': {'type': 'string'}, 'name': {'type': 'string'}, 'customerID': {'type': 'int'}}}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'name': {'type': 'string'}}}, 'fieldPolicy': {'type': 'dict', 'properties': {'id': {'type': 'str', 'readOnly': True}, 'name': {'type': 'str', 'position': 0, 'description': 'The policy name', 'readOnly': True}}}, 'caseTypes': {'type': 'list', 'position': 0, 'description': 'The case types which are enabled for this service.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['securityIncident', 'operationalIncident', 'informational', 'change']}}, 'workflows': {'type': 'list', 'position': 0, 'description': 'The workflows which are enabled for this service', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['validation', 'tuning', 'escalation', 'customerUpdate', 'escalateTI', 'escalateNSA', 'escalateLog', 'escalateInfra', 'escalateMSI', 'severityAlert', 'slaViolation', 'internalSlaViolation', 'delegateToSOC', 'escalateDEV', 'escalateTRS', 'escalateMSSAnalyst', 'escalateTAM']}}, 'createdTime': {'type': 'str', 'position': 0, 'description': 'Time when this service was created (in ISO-8601 time format)'}, 'lastUpdatedTime': {'type': 'str', 'position': 0, 'description': 'Time when this service was last updated (in ISO-8601 time format)'}}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}
#: "list_categories_1" is an alias for "list_categories_by_service"
list_categories_1 = list_categories_by_service