"""Autogenerated API schema"""
from argus_api import session


add_or_update_ranges = {'tags': ['development'], 'summary': 'Add or update IP ranges (DEV)', 'description': '', 'operationId': 'addOrUpdateRanges', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'in': 'body', 'name': 'body', 'required': False, 'schema': {'type': 'array', 'items': {'type': 'object', 'properties': {'fromAddress': {'type': 'string', 'position': 0, 'description': 'The lower end of the IP-address range (inclusive).'}, 'toAddress': {'type': 'string', 'position': 0, 'description': 'The upper end of the IP-address range (inclusive).'}, 'locationID': {'type': 'integer', 'format': 'int64', 'position': 0, 'description': 'The ID of the location associated with the IP-address range.'}}, 'description': 'Request to add or update IP-address range'}}}], 'responses': {'201': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'list', 'description': 'Contains an array of results', 'items': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'range': {'type': 'dict', 'properties': {'fromAddress': {'type': 'dict', 'properties': {'host': {'type': 'bool', 'xml': {'attribute': True}, 'readOnly': True}, 'public': {'type': 'boolean'}, 'ipv6': {'type': 'bool', 'xml': {'attribute': True}, 'readOnly': True}, 'maskBits': {'type': 'int'}, 'multicast': {'type': 'boolean'}, 'address': {'type': 'str', 'xml': {'attribute': True}, 'readOnly': True}}}, 'toAddress': {'type': 'dict', 'properties': {'host': {'type': 'bool', 'xml': {'attribute': True}, 'readOnly': True}, 'public': {'type': 'boolean'}, 'ipv6': {'type': 'bool', 'xml': {'attribute': True}, 'readOnly': True}, 'maskBits': {'type': 'int'}, 'multicast': {'type': 'boolean'}, 'address': {'type': 'str', 'xml': {'attribute': True}, 'readOnly': True}}}}}, 'countryCode': {'type': 'str', 'position': 0, 'description': 'The two-letter code of the country where this IP-range is located'}, 'locationID': {'type': 'int', 'position': 0, 'description': 'The location ID associated with this IP-range'}, 'lastModified': {'type': 'int', 'position': 0, 'description': 'The timestamp when this IP-range was last modified'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'latitude': {'type': 'float', 'position': 0, 'description': 'Geographic latitude of the spot where this IP-range is located (0.0 if not set)'}, 'longitude': {'type': 'float', 'position': 0, 'description': 'Geographic longitude of the spot where this IP-range is located (0.0 if not set)'}}, 'description': 'Combines IP-address range (from- and to-address) with country and location data'}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '412': {'description': 'Validation failed'}}}
find_ranges = {'tags': ['development'], 'summary': 'Find IP ranges (DEV)', 'description': '', 'operationId': 'findRanges', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'in': 'body', 'name': 'body', 'description': 'Search criteria', 'required': False, 'schema': {'type': 'object', 'properties': {'countTimeout': {'type': 'int', 'example': -1, 'description': 'Max wait in seconds for the count query to run. Set the value to -1 to skip counting (count will be returned -1). Set the value to 0 to execute the count query as long as the service allows, max allowed timeout value is 30 (seconds), default value is -1.', 'minimum': -1, 'maximum': 30}, 'ipAddress': {'type': 'list', 'uniqueItems': True, 'items': {'type': 'dict', 'properties': {'host': {'type': 'bool', 'xml': {'attribute': True}, 'readOnly': True}, 'public': {'type': 'boolean'}, 'ipv6': {'type': 'bool', 'xml': {'attribute': True}, 'readOnly': True}, 'maskBits': {'type': 'int'}, 'multicast': {'type': 'boolean'}, 'address': {'type': 'str', 'xml': {'attribute': True}, 'readOnly': True}}}}, 'limit': {'type': 'int', 'xml': {'attribute': True}, 'position': 0, 'description': 'Max number of results.'}, 'offset': {'type': 'int', 'xml': {'attribute': True}, 'position': 0, 'description': 'Skip the first (offset) objects. By default, return result from first object.'}, 'includeDeleted': {'type': 'bool', 'xml': {'attribute': True}, 'position': 0, 'description': 'Also include deleted objects (where implemented)'}, 'includeFlags': {'type': 'int', 'xml': {'attribute': True}, 'position': 0, 'description': 'Search objects with these flags set'}, 'excludeFlags': {'type': 'int', 'xml': {'attribute': True}, 'position': 0, 'description': 'Exclude objects with these flags set'}, 'countryID': {'type': 'list', 'position': 0, 'description': 'Deprecated, use country instead', 'uniqueItems': True, 'items': {'type': 'int'}}, 'country': {'type': 'list', 'position': 0, 'description': 'Only return ranges from these countries (by country ID or two-letter code)', 'uniqueItems': True, 'items': {'type': 'string'}}, 'regionID': {'type': 'list', 'position': 0, 'description': 'Only return ranges from these regions (by regionID)', 'uniqueItems': True, 'items': {'type': 'int'}}, 'locationID': {'type': 'list', 'position': 0, 'description': 'Only return ranges from these locations (by locationID)', 'uniqueItems': True, 'items': {'type': 'int'}}, 'rangeID': {'type': 'list', 'position': 0, 'description': 'Only return specific ranges (by ID)', 'uniqueItems': True, 'items': {'type': 'int'}}, 'startIPAddress': {'type': 'list', 'position': 0, 'description': 'Only return ranges where the range start-address matches one of these IP-addresses', 'uniqueItems': True, 'items': {'type': 'dict', 'properties': {'host': {'type': 'bool', 'xml': {'attribute': True}, 'readOnly': True}, 'public': {'type': 'boolean'}, 'ipv6': {'type': 'bool', 'xml': {'attribute': True}, 'readOnly': True}, 'maskBits': {'type': 'int'}, 'multicast': {'type': 'boolean'}, 'address': {'type': 'str', 'xml': {'attribute': True}, 'readOnly': True}}}}, 'fromIP': {'type': 'dict', 'properties': {'host': {'type': 'bool', 'xml': {'attribute': True}, 'readOnly': True}, 'public': {'type': 'boolean'}, 'ipv6': {'type': 'bool', 'xml': {'attribute': True}, 'readOnly': True}, 'maskBits': {'type': 'int'}, 'multicast': {'type': 'boolean'}, 'address': {'type': 'str', 'xml': {'attribute': True}, 'readOnly': True}}}, 'toIP': {'type': 'dict', 'properties': {'host': {'type': 'bool', 'xml': {'attribute': True}, 'readOnly': True}, 'public': {'type': 'boolean'}, 'ipv6': {'type': 'bool', 'xml': {'attribute': True}, 'readOnly': True}, 'maskBits': {'type': 'int'}, 'multicast': {'type': 'boolean'}, 'address': {'type': 'str', 'xml': {'attribute': True}, 'readOnly': True}}}, 'addressFamily': {'type': 'str', 'position': 0, 'description': 'Only return ranges for this address family range (ipv4 or ipv6)', 'enum': ['IPv4', 'IPv6']}, 'sortBy': {'type': 'list', 'position': 0, 'description': 'Order results by these properties (prefix with - to sort descending)', 'items': {'type': 'string'}}, 'startTimestamp': {'type': 'int', 'xml': {'attribute': True}, 'position': 0, 'description': 'Search objects from this timestamp'}, 'endTimestamp': {'type': 'int', 'xml': {'attribute': True}, 'position': 0, 'description': 'Search objects until this timestamp'}}, 'description': 'Search criteria to search for IP-address range'}}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'list', 'description': 'Contains an array of results', 'items': {'type': 'dict', 'properties': {'id': {'type': 'int'}, 'range': {'type': 'dict', 'properties': {'fromAddress': {'type': 'dict', 'properties': {'host': {'type': 'bool', 'xml': {'attribute': True}, 'readOnly': True}, 'public': {'type': 'boolean'}, 'ipv6': {'type': 'bool', 'xml': {'attribute': True}, 'readOnly': True}, 'maskBits': {'type': 'int'}, 'multicast': {'type': 'boolean'}, 'address': {'type': 'str', 'xml': {'attribute': True}, 'readOnly': True}}}, 'toAddress': {'type': 'dict', 'properties': {'host': {'type': 'bool', 'xml': {'attribute': True}, 'readOnly': True}, 'public': {'type': 'boolean'}, 'ipv6': {'type': 'bool', 'xml': {'attribute': True}, 'readOnly': True}, 'maskBits': {'type': 'int'}, 'multicast': {'type': 'boolean'}, 'address': {'type': 'str', 'xml': {'attribute': True}, 'readOnly': True}}}}}, 'countryCode': {'type': 'str', 'position': 0, 'description': 'The two-letter code of the country where this IP-range is located'}, 'locationID': {'type': 'int', 'position': 0, 'description': 'The location ID associated with this IP-range'}, 'lastModified': {'type': 'int', 'position': 0, 'description': 'The timestamp when this IP-range was last modified'}, 'flags': {'type': 'list', 'position': 0, 'description': 'Flags assigned to the object.', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'latitude': {'type': 'float', 'position': 0, 'description': 'Geographic latitude of the spot where this IP-range is located (0.0 if not set)'}, 'longitude': {'type': 'float', 'position': 0, 'description': 'Geographic longitude of the spot where this IP-range is located (0.0 if not set)'}}, 'description': 'Combines IP-address range (from- and to-address) with country and location data'}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '412': {'description': 'Validation failed'}}}