"""Autogenerated API schema"""
from argus_api import session


submit_csp_log_event = {'tags': ['logging/v1'], 'summary': 'Submit CSP log event (INTERNAL)', 'description': '', 'operationId': 'submitCSPLogEvent', 'consumes': ['application/json', 'application/csp-report'], 'produces': ['application/json'], 'parameters': [{'in': 'body', 'name': 'body', 'description': 'CSP log event submission request', 'required': False, 'schema': {'type': 'object', 'required': ['blockedUri', 'disposition', 'documentUri', 'originalPolicy', 'violatedDirective'], 'properties': {'blockedUri': {'type': 'str', 'position': 0, 'description': 'The URI of the resource that was blocked from loading by the Content Security Policy.'}, 'disposition': {'type': 'str', 'position': 0, 'description': "Either 'enforce' or 'report'."}, 'documentUri': {'type': 'str', 'position': 0, 'description': 'The URI of the document in which the violation occurred.'}, 'effectiveDirective': {'type': 'str', 'position': 0, 'description': 'The directive whose enforcement caused the violation.'}, 'originalPolicy': {'type': 'str', 'position': 0, 'description': 'The original policy as specified by the Content-Security-Policy-Report-Only HTTP header.'}, 'referrer': {'type': 'str', 'position': 0, 'description': 'The referrer of the document in which the violation occurred.'}, 'scriptSample': {'type': 'str', 'position': 0, 'description': 'The first 40 characters of the inline script, event handler, or style that caused the violation.'}, 'statusCode': {'type': 'int', 'position': 0, 'description': 'The HTTP status code of the resource on which the global object was instantiated.'}, 'violatedDirective': {'type': 'str', 'position': 0, 'description': 'The name of the policy section that was violated.'}}}}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'object'}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '412': {'description': 'Validation failed'}}}