"""Autogenerated API schema"""
from argus_api import session


abort_job = {'tags': ['development'], 'summary': 'Request a job to be aborted (DEV)', 'description': '', 'operationId': 'abortJob', 'produces': ['application/json'], 'parameters': [{'name': 'jobID', 'in': 'path', 'description': 'The ID of the job to request to abort', 'required': True, 'type': 'str'}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'analysedSample': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'The ID of the sample'}, 'size': {'type': 'int', 'position': 0, 'description': 'The size of the sample in bytes'}}, 'description': 'A compact representation of a sample'}, 'enqueuedTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp for when the job was enqueued'}, 'startTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp for when the job was started'}, 'endTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp for when the job was ended'}, 'state': {'type': 'str', 'position': 0, 'description': 'The current state of the job', 'enum': ['enqueued', 'abortRequested', 'aborted', 'executing', 'done', 'timeout']}}, 'description': 'Information about an analysis job'}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'The job could not be found'}, '412': {'description': 'Validation error'}}}
add_job_task = {'tags': ['development'], 'summary': 'Register an analyzer task for a job (DEV)', 'description': '', 'operationId': 'addJobTask', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'name': 'jobID', 'in': 'path', 'description': 'The ID of the job', 'required': True, 'type': 'str'}, {'in': 'body', 'name': 'body', 'description': 'Job task request', 'required': False, 'schema': {'type': 'object', 'required': ['analyzerName'], 'properties': {'analyzerName': {'type': 'str', 'position': 0, 'description': 'The name of the analyzer => [a-zA-Z0-9_:\\-\\.]*'}, 'state': {'type': 'str', 'position': 0, 'description': 'The initial state of the job task (default enqueued)', 'enum': ['enqueued', 'executing', 'success', 'failed']}}, 'description': 'Request to add a job task'}}], 'responses': {'201': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'analyzerName': {'type': 'str', 'position': 0, 'description': 'The name of the analyzer'}, 'analysis': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'analyzerName': {'type': 'str', 'position': 0, 'description': 'Name of the analyzer that produced this result'}}, 'description': 'Compact representation of an analysis'}, 'state': {'type': 'str', 'position': 0, 'description': 'The state the task is currently in', 'enum': ['enqueued', 'executing', 'success', 'failed']}, 'enqueuedTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when the task was enqueued'}, 'startTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when the task was started'}, 'endTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when the task was completed'}, 'message': {'type': 'str', 'position': 0, 'description': 'A message related to the execution of this task'}}, 'description': 'Information about a analysis job task'}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'The job could not be found'}, '412': {'description': 'Validation error'}}}
get_job = {'tags': ['development'], 'summary': 'Fetch an analysis job (DEV)', 'description': '', 'operationId': 'getJob', 'produces': ['application/json'], 'parameters': [{'name': 'jobID', 'in': 'path', 'description': 'The ID of the job to fetch', 'required': True, 'type': 'str'}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'analysedSample': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'The ID of the sample'}, 'size': {'type': 'int', 'position': 0, 'description': 'The size of the sample in bytes'}}, 'description': 'A compact representation of a sample'}, 'enqueuedTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp for when the job was enqueued'}, 'startTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp for when the job was started'}, 'endTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp for when the job was ended'}, 'state': {'type': 'str', 'position': 0, 'description': 'The current state of the job', 'enum': ['enqueued', 'abortRequested', 'aborted', 'executing', 'done', 'timeout']}}, 'description': 'Information about an analysis job'}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'The job could not be found'}, '412': {'description': 'Validation error'}}}
list_job_tasks = {'tags': ['development'], 'summary': 'List analysis job tasks (DEV)', 'description': '', 'operationId': 'listJobTasks', 'produces': ['application/json'], 'parameters': [{'name': 'jobID', 'in': 'path', 'description': 'The ID of the job to list tasks for', 'required': True, 'type': 'str'}, {'name': 'limit', 'in': 'query', 'description': 'Maximum number of returned results', 'required': False, 'type': 'int', 'default': 25, 'minimum': 0}, {'name': 'offset', 'in': 'query', 'description': 'Skip a number of results', 'required': False, 'type': 'int', 'default': 0, 'minimum': 0}, {'name': 'sortBy', 'in': 'query', 'description': "The fields to sort the results by. Prefix with '-' to sort descending", 'required': False, 'type': 'list', 'items': {'type': 'str', 'default': 'analyzerName', 'enum': ['analyzerName', 'state', 'enqueuedTimestamp', 'startTimestamp', 'endTimestamp', '-analyzerName', '-state', '-enqueuedTimestamp', '-startTimestamp', '-endTimestamp']}, 'collectionFormat': 'multi'}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'list', 'description': 'Contains an array of results', 'items': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'analyzerName': {'type': 'str', 'position': 0, 'description': 'The name of the analyzer'}, 'analysis': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'analyzerName': {'type': 'str', 'position': 0, 'description': 'Name of the analyzer that produced this result'}}, 'description': 'Compact representation of an analysis'}, 'state': {'type': 'str', 'position': 0, 'description': 'The state the task is currently in', 'enum': ['enqueued', 'executing', 'success', 'failed']}, 'enqueuedTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when the task was enqueued'}, 'startTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when the task was started'}, 'endTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when the task was completed'}, 'message': {'type': 'str', 'position': 0, 'description': 'A message related to the execution of this task'}}, 'description': 'Information about a analysis job task'}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'The job could not be found'}, '412': {'description': 'Validation error'}}}
list_jobs = {'tags': ['development'], 'summary': 'List analysis jobs (DEV)', 'description': '', 'operationId': 'listJobs', 'produces': ['application/json'], 'parameters': [{'name': 'limit', 'in': 'query', 'description': 'Maximum number of returned results', 'required': False, 'type': 'int', 'default': 25, 'minimum': 0}, {'name': 'offset', 'in': 'query', 'description': 'Skip a number of results', 'required': False, 'type': 'int', 'default': 0, 'minimum': 0}, {'name': 'sortBy', 'in': 'query', 'description': "The fields to sort the results by. Prefix with '-' to sort descending", 'required': False, 'type': 'list', 'items': {'type': 'str', 'default': '-enqueuedTimestamp', 'enum': ['enqueuedTimestamp', 'state', 'startTimestamp', 'endTimestamp', '-enqueuedTimestamp', '-state', '-startTimestamp', '-endTimestamp']}, 'collectionFormat': 'multi'}, {'name': 'state', 'in': 'query', 'description': 'Only return jobs in either of the defined states', 'required': False, 'type': 'list', 'items': {'type': 'str', 'default': 'enqueued, executing', 'enum': ['enqueued', 'abortRequested', 'aborted', 'executing', 'done', 'timeout']}, 'collectionFormat': 'multi'}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'list', 'description': 'Contains an array of results', 'items': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'analysedSample': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'The ID of the sample'}, 'size': {'type': 'int', 'position': 0, 'description': 'The size of the sample in bytes'}}, 'description': 'A compact representation of a sample'}, 'enqueuedTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp for when the job was enqueued'}, 'startTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp for when the job was started'}, 'endTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp for when the job was ended'}, 'state': {'type': 'str', 'position': 0, 'description': 'The current state of the job', 'enum': ['enqueued', 'abortRequested', 'aborted', 'executing', 'done', 'timeout']}}, 'description': 'Information about an analysis job'}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'The job could not be found'}, '412': {'description': 'Validation error'}}}
search_jobs = {'tags': ['development'], 'summary': 'Search for jobs matching the provided search criteria (DEV)', 'description': '', 'operationId': 'searchJobs', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'in': 'body', 'name': 'body', 'description': 'Job search request', 'required': False, 'schema': {'type': 'object', 'properties': {'state': {'type': 'list', 'position': 0, 'description': 'Only return jobs in either of these states (default [enqueued, executing])', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['enqueued', 'abortRequested', 'aborted', 'executing', 'done', 'timeout']}}, 'sampleSha256': {'type': 'list', 'position': 0, 'description': 'Only return jobs for these samples', 'items': {'type': 'string'}}, 'customer': {'type': 'list', 'position': 0, 'description': 'Only return jobs for these customers. Can be either customer shortname or ID', 'items': {'type': 'string'}}, 'timeFieldStrategy': {'type': 'list', 'position': 0, 'description': 'What time fields to use to limit the search', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['enqueuedTimestamp', 'startTimestamp', 'endTimestamp', 'all']}}, 'timeMatchStrategy': {'type': 'str', 'position': 0, 'description': 'Whether all or any of the fields in timeFieldStrategy must fall within startTimestamp and endTimestamp', 'enum': ['all', 'any']}, 'limit': {'type': 'int', 'position': 0, 'description': "Set this value to set max number of results. Setting limit to 0 means 'unlimited' (default 25)", 'minimum': 0, 'default': 25}, 'offset': {'type': 'int', 'position': 0, 'description': 'Set this value to skip the first (offset) objects. By default, return result from first object. (default 0)', 'minimum': 0, 'default': 0}, 'sortBy': {'type': 'list', 'position': 0, 'description': 'Specify sort ordering for returned jobs (default enqueuedTimestamp)', 'items': {'type': 'str', 'enum': ['enqueuedTimestamp', 'state', 'startTimestamp', 'endTimestamp', '-enqueuedTimestamp', '-state', '-startTimestamp', '-endTimestamp']}}, 'startTimestamp': {'type': 'int', 'position': 0, 'description': 'Restrict the search to resources (indicated by timeFieldStrategy) timestamped after this timestamp. Timestamps can be milliseconds since epoch, ISO8601 timestamp, or a string with a relative timestamp. See the general integration guide for more details'}, 'endTimestamp': {'type': 'int', 'position': 0, 'description': 'Restrict the search to resources (indicated by timeFieldStrategy) timestamped before this timestamp.Timestamps can be milliseconds since epoch, ISO8601 timestamp, or a string with a relative timestamp. See the general integration guide for more details'}}, 'description': 'The model used to search for jobs'}}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'list', 'description': 'Contains an array of results', 'items': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'analysedSample': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'The ID of the sample'}, 'size': {'type': 'int', 'position': 0, 'description': 'The size of the sample in bytes'}}, 'description': 'A compact representation of a sample'}, 'enqueuedTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp for when the job was enqueued'}, 'startTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp for when the job was started'}, 'endTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp for when the job was ended'}, 'state': {'type': 'str', 'position': 0, 'description': 'The current state of the job', 'enum': ['enqueued', 'abortRequested', 'aborted', 'executing', 'done', 'timeout']}}, 'description': 'Information about an analysis job'}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'The job could not be found'}, '412': {'description': 'Validation error'}}}
update_job_state = {'tags': ['development'], 'summary': 'Update the state of an analysis job (DEV)', 'description': '', 'operationId': 'updateJobState', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'name': 'jobID', 'in': 'path', 'description': 'The ID of the job to update', 'required': True, 'type': 'str'}, {'in': 'body', 'name': 'body', 'description': 'Update job request', 'required': False, 'schema': {'type': 'object', 'required': ['state'], 'properties': {'state': {'type': 'str', 'position': 0, 'description': 'The new state of the job', 'enum': ['executing', 'done', 'aborted']}}, 'description': 'Request to update a job'}}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer.'}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer.'}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object.'}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain.'}}, 'description': 'SPI DomainInfo'}}, 'description': 'SPI CustomerInfo'}, 'analysedSample': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'The ID of the sample'}, 'size': {'type': 'int', 'position': 0, 'description': 'The size of the sample in bytes'}}, 'description': 'A compact representation of a sample'}, 'enqueuedTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp for when the job was enqueued'}, 'startTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp for when the job was started'}, 'endTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp for when the job was ended'}, 'state': {'type': 'str', 'position': 0, 'description': 'The current state of the job', 'enum': ['enqueued', 'abortRequested', 'aborted', 'executing', 'done', 'timeout']}}, 'description': 'Information about an analysis job'}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'The job could not be found'}, '412': {'description': 'Validation error'}}}
update_job_task = {'tags': ['development'], 'summary': 'Update the state of an analysis task (DEV)', 'description': '', 'operationId': 'updateJobTask', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'name': 'jobID', 'in': 'path', 'description': 'The ID of the job', 'required': True, 'type': 'str'}, {'name': 'taskID', 'in': 'path', 'description': 'The ID of the task', 'required': True, 'type': 'str'}, {'in': 'body', 'name': 'body', 'description': 'Job task request', 'required': False, 'schema': {'type': 'object', 'required': ['state'], 'properties': {'analysisID': {'type': 'str', 'position': 0, 'description': "The ID of the analysis produced by this task. Must be set when updating the state to 'success'"}, 'state': {'type': 'str', 'position': 0, 'description': 'The new state of the job task', 'enum': ['executing', 'success', 'failed']}, 'message': {'type': 'str', 'position': 0, 'description': 'A message related to the execution of the task'}}, 'description': 'Request to update a job task'}}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'analyzerName': {'type': 'str', 'position': 0, 'description': 'The name of the analyzer'}, 'analysis': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object.'}, 'analyzerName': {'type': 'str', 'position': 0, 'description': 'Name of the analyzer that produced this result'}}, 'description': 'Compact representation of an analysis'}, 'state': {'type': 'str', 'position': 0, 'description': 'The state the task is currently in', 'enum': ['enqueued', 'executing', 'success', 'failed']}, 'enqueuedTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when the task was enqueued'}, 'startTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when the task was started'}, 'endTimestamp': {'type': 'int', 'position': 0, 'description': 'The timestamp when the task was completed'}, 'message': {'type': 'str', 'position': 0, 'description': 'A message related to the execution of this task'}}, 'description': 'Information about a analysis job task'}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'The job could not be found'}, '412': {'description': 'Validation error'}}}